| Classes - Annotated - Tree - Functions - Home - Structure

# QDropSite Class Reference

Provides nothing and does nothing. More...

`#include <qdropsite.h>`

List of all member functions.

## Public Members

- QDropSite ( QWidget * parent )
- virtual ~QDropSite ()

## Detailed Description

Provides nothing and does nothing.

This class exists only so that old code will not break. It does nothing. If your code uses it, you can safely delete it.

It was used in Qt 1.x to do some drag and drop; that has since been folded into QWidget.

For detailed information about drag-and-drop, see the QDragObject class.

See also QDragObject, QTextDrag and QImageDrag.

Examples: desktop/desktop.cpp

## Member Function Documentation

### QDropSite::QDropSite ( QWidget * self )

Constructs a QDropSite to handle events for the widget self.

Pass `this` as the parent parameter. This enables dropping by calling QWidget::setAcceptDrops(TRUE).

### QDropSite::~QDropSite () `[virtual]`

Destructs the drop site.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.